# Contributions

Timeline generation is a tool with incredible potential. It provides a broad and general framework for intelligently summarising heterogeneous data. We argue there are two areas where current TLG models fall short: the evaluation of timelines, and the inferential methods used to generate them.

1: We provide an innovative and scientifically-rigourous framework for evaluating the quality of a timeline. No current approach in the literature is satisfactory. This is concerning as the evaluative process is a fundamental pillar upon which our models reside. Any conclusion we make on our models depend on the correctedness of our evaluative framework.
We argue below that all current methods fall short in one of several ways. We use these shortcomings to motivate the development of our evaluation pipeline. 

2: We develop a novel method for performing inference on the timeline models. No current implementation takes more than a few thousand articles as input. This is unsatisfactory considering the wealth of information available to us. The primary reason for this is the inference bottleneck. Current methods all use some form of Gibb's sampling, however these methods (especially simpler implementations thereof) have been known to scale poorly. We seek to improve on performance in this area by leveraging an alternative approach: variational bayesian inference. This family of techniques has been known to outclass Gibb's methods in terms of scalability while still maintaining comparable performance\cite{Grimmer_2010}. The catch is that unlike the generalisability and ease of understanding that characterises sampling based approaches, applying variational methods to a new domain is an involved, technical endeavour.